Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.agent
Class AgentEntityHelper

`java.lang.Object
oracle.ovs.api.datamodel.agent.AgentEntityHelper`

      public class AgentEntityHelper

extends java.lang.Object

Clone datamodel. Just for Intenal usage.

Constructor Summary
`AgentEntityHelper()`

Method Summary
`static oracle.ovs.datamodel.OvsAgent` | `cloneOvsAgentFromAgent(Agent agent)` Clone datamodel from Agent to OvsAgent.
`static oracle.ovs.datamodel.OvsAgent` | `getOvsAgent(oracle.ovs.datamodel.OvsServer server, java.lang.String agentPwd)` Construct one agent for one server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentEntityHelper

    public AgentEntityHelper()

Method Detail

### getOvsAgent

    public static oracle.ovs.datamodel.OvsAgent getOvsAgent(oracle.ovs.datamodel.OvsServer server,
                                                            java.lang.String agentPwd)
                                                     throws oracle.ovs.biz.exception.OVSException

  Construct one agent for one server.
  Parameters:
    `server` -
    `agentPwd` - agent password
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### cloneOvsAgentFromAgent

    public static oracle.ovs.datamodel.OvsAgent cloneOvsAgentFromAgent(Agent agent)

  Clone datamodel from Agent to OvsAgent.
  Parameters:
    `agent` -
  See Also:
    `Agent`, `OvsAgent`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.